/*

    Dodgin' Diamond 2, a shot'em up arcade
    Copyright (C) 2003,2004 Juan J. Martinez <jjm@usebox.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License Version 2 as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

*/

#include "main.h"
#include "control.h"
#include "SDL_plus.h"

extern bool pause;

void control_player_joy(SDL_Joystick *joy, pDesc *p)
{
	int but;
	int up, down, left, right, upleft, upright, downleft, downright;

	if(pause)
		return;

	SDL_JoystickUpdate();
	up = SDL_JoystickGetButton(joy, 0);
	down = SDL_JoystickGetButton(joy, 4);
	left = SDL_JoystickGetButton(joy, 2);
    right = SDL_JoystickGetButton(joy, 6);
	upleft = SDL_JoystickGetButton(joy, 1);
	upright = SDL_JoystickGetButton(joy, 7);
	downleft = SDL_JoystickGetButton(joy, 3);
	downright = SDL_JoystickGetButton(joy, 5);

	if (up){
	     p->incy=-1;
	     p->incx=0;
	}
	if (left){
	     p->incx=-1;
	     p->incy=0;
	}
	if (down){
	     p-> incy=+1;
	     p-> incx=0;
	}
	if (right){
	     p-> incx=+1;
	     p-> incy=0;
	}
	if (upleft){
	    p-> incx=-1;
	    p-> incy=-1;
	}
	if (upright){
	    p-> incx=+1;
	    p-> incy=-1;
	}
	if (downright){
	    p-> incx=+1;
	    p-> incy=+1;
	}
	if (downleft){
	    p-> incx=-1;
	    p-> incy=+1;
	}

    if (!up & !down & !left & !right & !upleft & !upright & !downleft & !downright){
        p->incx=0;
        p->incy=0;
    }



//    if(SDL_JoystickGetButton(joy, 2)) p->incx=-1;
//    if(SDL_JoystickGetButton(joy, 6)) p->incx=+1;
//    if(SDL_JoystickGetButton(joy, 0)) p->incy=-1;
//    if(SDL_JoystickGetButton(joy, 4)) p->incy=+1;
//
//    if(!SDL_JoystickGetButton(joy, 0) && !SDL_JoystickGetButton(joy, 4))
//        p->incy=0;
//
//    if(!SDL_JoystickGetButton(joy, 2) && !SDL_JoystickGetButton(joy, 6))
//        p->incx=0;


	but=SDL_JoystickGetButton(joy, 13);

	if(but && !p->fire)
		p->fire=1;
	if(!but)
		p->fire=0;
}

void control_player(pDesc *p)
{
	Uint8* keys;

	keys=SDL_GetKeyState(NULL);

	if(pause)
		return;

	if(keys[p->keys[0]]) {
		p->incx=-1;
	}
	if(keys[p->keys[1]]) {
		p->incx=+1;
	}
	if(keys[p->keys[2]]) {
		p->incy=-1;
	}
	if(keys[p->keys[3]]) {
		p->incy=+1;
	}

	if((!keys[p->keys[2]] && !keys[p->keys[3]]) ||
		(keys[p->keys[2]] && keys[p->keys[3]])) {
			p->incy=0;
	}
	if((!keys[p->keys[0]] && !keys[p->keys[1]]) ||
		(keys[p->keys[0]] && keys[p->keys[1]])) {
			p->incx=0;
	}

	if(keys[p->keys[4]] && !p->fire)
		p->fire=1;
	if(!keys[p->keys[4]])
		p->fire=0;
}
